Bug 1807551 - sdcc requires Python 2 to build
Summary: sdcc requires Python 2 to build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sdcc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Kastner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-26 15:35 UTC by Petr Viktorin
Modified: 2020-05-13 02:54 UTC (History)
5 users (show)

Fixed In Version: sdcc-4.0.0-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 02:54:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-26 15:35:49 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like sdcc, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.
It looks like sdcc could build by switching the "/usr/bin/python2" BuildRequires to "/usr/bin/python", but I'm not able to test as Mock builds fail in TeX code.
Let us know if you need any help investigating or removing the dependency. (There are dozens of packages like this, so we didn't investigate this one thoroughly. We assume you know the package best.)

If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Philipp 2020-04-23 22:21:30 UTC
As the SDCC version in the package is 3.8.0, Python 2 should not be necessary: According to SDCC 3.8.0 release notes, dependencies on Python 2 have been removed:

https://sourceforge.net/p/sdcc/wiki/SDCC%203.8.0%20Release/
https://sourceforge.net/p/sdcc/feature-requests/550/

Comment 2 Fedora Update System 2020-04-28 10:13:47 UTC
FEDORA-2020-0d5a23d205 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0d5a23d205

Comment 3 Fedora Update System 2020-04-29 02:04:54 UTC
FEDORA-2020-0d5a23d205 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0d5a23d205`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0d5a23d205

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-05-04 04:35:31 UTC
FEDORA-2020-84a9036714 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-84a9036714

Comment 5 Fedora Update System 2020-05-05 05:11:45 UTC
FEDORA-2020-84a9036714 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-84a9036714`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-84a9036714

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-05-13 02:54:45 UTC
FEDORA-2020-84a9036714 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.